/* --- VARIABLES --- */

:root {
    --blue-color : #041821;
    --white-color : #fff;
    --green-color : #1BD79E;
    --green2-color : hsl(162,78%, 92%);
    --grey-color : #808080;
    --grey2-color : #E5E5E5;
    --header-height : 10px;
}



body {
    font-family : 'Montserrat', sans-serif;
    font-size : 1em;
    font-weight : 300;
    background : var(--white-color);
    color : var(--grey-color);
    overflow-x : hidden;
	background : #0c1021;
}

* {
    box-sizing: border-box;
}



a {
    color : var(--blue-color);
    text-decoration : none;
    transition : color 0.3s;
}

h1 {
    font-family: 'Sevillana', cursive;
	letter-spacing:4px;
    color : var(--blue-color);
    font-weight : normal;
    font-size: 50px;
    line-height : 1.3em;
	text-align : center;
    margin : 0 0 0.5em 0;
    padding : 0;
	border-bottom:1.5px solid var(--green-color);
}

h1 span.green {
    color : var(--green-color);
}

p {
margin : 0;
padding : 0;
line-height : 1.5em;
font-size:25px;
letter-spacing:0.5px;
font-family: 'Dancing Script', cursive;
font-family: 'Sevillana', cursive;
}

.container {
    padding:0 20px;
    max-width : 100%;
    margin : 0 auto;
}

.fancybox__caption {
    font-weight : 700;
    cursor:default;
}

/* --- HEADER --- */

header {
    position:fixed;
    z-index:10;
    top:0;
    left:0;
    width:100%;
    display:flex;
    justify-content: center;
    align-items: center;
    flex-direction:column;
    border-bottom : 1px solid var(--grey2-color);
    height: var(--header-height);
    background : rgba(255,255,255,0.95);
    backdrop-filter: blur(5px);
}

.header-logo {
    font-size:24px;
    color:var(--blue-color);
    font-family : 'Yeseva One', serif;
    margin : 0 0 10px 0;
    cursor:default;
}

.header-logo span {
    color:var(--green-color);
}
.header-reseaux {
    display:flex;
    justify-content: center;
    align-items: center;
}

.header-reseaux a {
    display:block;
    margin:0 3px;
}

.header-reseaux a:hover {
    color:var(--green-color);
}

.header-reseaux i {
    font-size:20px;
}

.header-reseaux a.mode {
    margin : 0 0 0 10px;
}

/* --- PAGE CONTENT --- */

.page-content {
    margin:calc(var(--header-height) ) 0 0 0;
}

/* --- PORTFOLIO --- */

.portfolio {
    margin: 1.5em 0 0 0;
}

.filtres {
display:flex;
justify-content: flex-start;
align-items: center;
background-color:#0c1021;
padding:5px;
margin:0 0 15px 0;
position: sticky;
top: 0px;
z-index:400;
}

.filtres a {
    display:block;
	width:25%;
	border-radius:3px ;
    text-transform:uppercase;
    letter-spacing: 2px;
    font-weight:400;
    font-size:12px;
    margin:0 5px;
    padding:6px 8px 3px 8px;
	background-color:#6534ac;
	color:#fff;
    font-weight:600;
	text-align:center;
}

.filtres a:hover {
    /* background-color:#ff7800; */
	/* color:black; */
	
	 background-color:#1bd79e;
	color:black;
}

.filtres a.active {
    
    background-color:#1bd79e;
    color:black;
}

.filtres a:first-child {
    margin-left:0;
}

.grid {
    display:grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap:15px;
}

.projet {
    display:block;
}

.projet img {
    display:block;
    width:100%;
    height:100%;
    object-fit:cover;
    border-radius:5px;
    aspect-ratio: 1/1;
}

.projet-nom {
    display:none;
}

/* --- FOOTER --- */

footer {
    display:flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    height:var(--header-height);
    cursor:default;
}

.fancybox__progress {

    height: 13px;
background: #78909C;
}

.copyright{
    text-transform:uppercase;
    letter-spacing: 2px;
    color:#fff;
}

.copyright {
    font-size:12px;
    font-weight:400;
    margin:0 0 5px 0;
	font-family:arial;
}

.tuto {
    font-size:10px;
}

/* --- RESPONSIVE --- */

@media (max-width:767px) {
    .filtres {
        overflow-x:scroll;
    }
    .filtres::-webkit-scrollbar {
        display:none;
    }
}

@media (min-width:768px) and (max-width:1199px) {
    .container {
        width:640px;
    }
    .grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width:768px) {
    header {
        flex-direction:row;
        justify-content: space-between;
    }
    .header-logo {
        margin:0 0 0 30px;
    }
    .header-reseaux {
        margin:0 30px 0 0;
    }
    :root {
        --header-height : 80px;
    }
    .page-content {
        margin:calc(var(--header-height) ) 0 0 0;
    }
    .container {
        padding:0;
    }
    footer {
        height:calc(var(--header-height));
    }
    .filtres {
        justify-content: center;
    }
    p {
        font-size:25px;
    }
    h1 {
        font-size:80px;
    }
    h1 span {
        display:block;
    }
}

@media (min-width:1200px) {
    .container {
        width:80%;
    }
    .page-content p {
        width:60%;
		font-weight:300;
		letter-spacing:0.5px;
		font-size:25px;
    }
    .grid {
        grid: auto / repeat(4, 1fr);
    }
    .projet {
        overflow:hidden;
        position:relative;
    }
    /* .projet:nth-child(4n+1), .projet:nth-child(11n+1) { */
        /* grid-column : span 2; */
    /* } */
    .projet img {
        aspect-ratio: unset;
        height:320px;
		 transform: scale(1);
		  transition: 0.3s ease-in-out;
    }
	
	.projet img:hover {
        transform: scale(1.05);
		
    }
	
    .projet:before {
        content:'';
        position:absolute;
        top:0;
        left:0;
        right:0;
        bottom:0;
        background:#041821;
        border-radius:5px;
        opacity:0;
        transition: opacity 0.3s ease-in-out;
    }
    .projet:hover:before {
        /* opacity:0.7; */
		
    }
    .projet-nom {
    display:inline-block;
    position:absolute;
    z-index:2;
	padding:10px;
	background-color:#6534ac;
	color:#fff;
    bottom:-20px;
    left:20px;
    font-weight:700;
    opacity:0;
    transition: 0.3s ease-in-out;
    }
    .projet:hover > .projet-nom {
        opacity:1;
        bottom:200px;
    }
}